#
# spec file for package qstat (Version 2.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm zlib

Name:           qstat
URL:            http://www.qstat.org
Summary:        Get statistics from on-line game servers
Version:        2.11.20090718
Release:        1.1
License:        Artistic License
Group:          Amusements/Games/Other
Source:         qstat-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# OpenPBS-clients has a file /usr/bin/qstat too
Conflicts:      OpenPBS-clients
BuildRequires:	glibc-devel gcc gcc-c++ automake
%description 
QStat is a command-line program that displays the status of Internet
Game servers including Quake and many recent shooters.



Authors:
--------
    Steve Jankowski <steve@qstat.org>

%prep
%setup

%build
./autogen.sh
CFLAGS="%{optflags}" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make %{?jobs:-j%jobs}

%install
make DESTDIR="%{buildroot}" install
rm template/Makefile*
rm info/Makefile*
strip %{buildroot}%{_bindir}/qstat

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%config %{_sysconfdir}/qstat.cfg
%{_bindir}/qstat
%doc CHANGES.txt LICENSE.txt qstatdoc.html contrib.cfg
%doc template info

%changelog -n qstat
* Sat Jul 18 2009 Carsten Schoene <cs@linux-administrator.com> - 2.11.20090718-1
- new SVN build with some fixes

* Sat Nov 04 2006 - lnussel@suse.de
- new version 2.11
  + new protocols: Warsow, Prey, TrackMania, Tremulous
  + add -nx and -nnx options that enable resp. disable name transformation
  + calculate player score for AMS servers
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Oct 22 2005 - lnussel@suse.de
- new version 2.10
  + fix Quake4 master only returning 231 servers
* Thu Oct 20 2005 - lnussel@suse.de
- new version 2.9
  + Quake 4 support
* Sun Apr 03 2005 - lnussel@suse.de
- new version 2.8
  + add support for new steam protocol (-a2s)
  + add derived type STMHL2 for steam master returning a2s instead of hls
  + change timing for sending packets to improve ping times of low-ping servers
  + fix ut2004 master server support
* Wed Dec 22 2004 - lnussel@suse.de
- new version 2.7
* Sun Aug 15 2004 - lnussel@suse.de
- new version 2.6
* Sat Mar 20 2004 - lnussel@suse.de
- update to CVS version
* Mon Nov 24 2003 - lnussel@suse.de
- update to CVS version
- include patches from Steven Hartland
* Tue May 13 2003 - lnussel@suse.de
- added %%defattr to %%files to make all files owned by root
* Fri Nov 15 2002 - lnussel@suse.de
- new version 2.5c
* Mon Sep 16 2002 - lnussel@suse.de
- new version 2.5b:
  config file /etc/qstat.cfg
  artistic license
* Mon Jun 24 2002 - lnussel@suse.de
- Conflict with OpenPBS-clients as it has /usr/bin/qstat too
- fixed permissions of template directory to not have sgid bit
* Thu Oct 04 2001 - lnussel@suse.de
-  new package qstat
